Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.premiumdomain
Class EPPBaseTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.premiumdomain.EPPBaseTst

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  EPPPremiumDomainTst

    public abstract class EPPBaseTst

extends junit.framework.TestCase

This is the base class for all SDK unit test. The class defines the common methods like create session, end session, end application etc which can be used by most of the test cases.The configuration file used by the unit test defaults to epp.config. The unit test is dependent on the use of JUNIT 3.5

Field Summary
`protected static java.lang.String` | `configFileName` Name of configuration file to use for test (default = epp.config).
`protected int` | `iteration` Current test iteration

Constructor Summary
`EPPBaseTst(java.lang.String aName)` The constructor will initialize the base class `TestCase` with the logical name.

Method Summary
`protected void` | `createSession()` create session method, which sets the default client Id to "theRegistrar".
`protected static void` | `endApplication()`
`protected void` | `endSession()` Unit test of `EPPSession.endSession`.
`EPPSession` | `getSession()` This method returns the active EPP Session
`void` | `handleException(java.lang.Exception aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
`protected static void` | `initApplication()`
`java.lang.String` | `makeDomainName()` This method tries to generate a unique String
`protected void` | `printEnd(java.lang.String aTest)` Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
`protected void` | `printError(java.lang.String aMsg)` Print error message
`protected void` | `printMsg(java.lang.String aMsg)` Print message
`protected void` | `printStart(java.lang.String aTest)` Print the start of a test with the `Thread` name if the current thread is a `TestThread`.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### configFileName

    protected static java.lang.String configFileName

  Name of configuration file to use for test (default = epp.config).

### iteration

    protected int iteration

  Current test iteration

Constructor Detail

### EPPBaseTst

    public EPPBaseTst(java.lang.String aName)

  The constructor will initialize the base class `TestCase` with the logical name.

  Parameters:
    `aName` - Logical name of the test

Method Detail

### getSession

    public EPPSession getSession()

  This method returns the active EPP Session

  Returns:
    EPPSession.

### endSession

    protected void endSession()

  Unit test of `EPPSession.endSession`. The session with the EPP Server will be terminated.

### handleException

    public void handleException(java.lang.Exception aException)

  Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :" will be specified. If the exception was caused by a general algorithm error, "General Error :" will be specified.

  Parameters:
    `aException` - Exception thrown during test

### printStart

    protected void printStart(java.lang.String aTest)

  Print the start of a test with the `Thread` name if the current thread is a `TestThread`.

  Parameters:
    `aTest` - Logical name for the test

### printEnd

    protected void printEnd(java.lang.String aTest)

  Print the end of a test with the `Thread` name if the current thread is a `TestThread`.

  Parameters:
    `aTest` - Logical name for the test

### printMsg

    protected void printMsg(java.lang.String aMsg)

  Print message

  Parameters:
    `aMsg` - message to print

### printError

    protected void printError(java.lang.String aMsg)

  Print error message

  Parameters:
    `aMsg` - errpr message to print

### createSession

    protected void createSession()

  create session method, which sets the default client Id to "theRegistrar". Create instance of EPP session and establish the connection with the EPP server.

### endApplication

    protected static void endApplication()

### initApplication

    protected static void initApplication()

### makeDomainName

    public java.lang.String makeDomainName()

  This method tries to generate a unique String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.